Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Allows the client to propose a new smart contract template. The smart contract template is an XML document that conforms to the smart contract schema. You can design smart contracts using the LegalLab application.

HTTP request

POST /Agent/Legal/ProposeTemplate

Authentication

Requires a valid JWT bearer token.

Request (JSON)

{
	"templateBase64": Required(Str(PTemplateBase64))
}

Input parameters

ParameterDescription
PTemplateBase64BASE64-encoding of the binary content of the XML file to propose as a template.

Response (JSON)

{
	"Template": Required(PTemplate)
}

Response parameters

ParameterDescription
PTemplateSmart contract template object generated by the server.

Notes

This endpoint uses the request schema notation described in Pattern matching.